*{
    box-sizing: border-box;
    font-family: "IBM Plex Mono", monospace;
    font-style: normal;
}

body{
    background-color: #000000;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}


#menu-icon{
    width: 30px;
    height: 20px;
}

.top, .bottom{
    stroke-width: 6px;
}

#menu-icon line {
    transition: all 0.4s ease;
}
  
#menu-icon.collapsed .top {
    transform: translateY(10px); /* Move to center */
}
  
#menu-icon.collapsed .bottom {
    transform: translateY(-10px); /* Move to center */
}

nav{
   display: none;
}

header{
    top: 0;
    height: 12vh;
    display: flex;
    color: #ffffff;
    z-index: 10;
    position: fixed;
    width: 100vw;
    max-width: 100%;
    align-items: center;
    gap: 40vw;
    justify-content: space-around;
    background-color: #000000;
}

.mobile_nav{
    position: fixed;
    width: 100%;
    height: 88dvh;
    bottom: 0;
    background: rgba(0, 0, 0, 0.926);
    z-index: 99;
    color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    justify-self: center;
    display: none;
    transition: all 0.5s ease-in-out;
}

.mobile_nav ul{
    padding: 0;
    margin: 0;
    list-style-type: none;
}

.mobile_nav ul li a{
    color: inherit;
    cursor: pointer;
    text-decoration: none;
}   

.mobile_nav ul li{
    text-align: center;
    font-weight: 400;
    margin-bottom: 1rem;
}

.mobile_nav ul li.active{
    color: #bcbcbc;
}


.name{
    display: flex;
    justify-self: center;
    font-family: "Inter", sans-serif;
    font-weight: 500;
    font-size: 15px;
}

.menu_but{
    display: flex;
    justify-self: center;
}

.archive{
    position: relative;
    bottom: 0;
    color: white;
    z-index: 2;
    padding: 0 25px;
    display: block;
    margin-top: 15vh;
}

.arc1{
    font-size: 1.70rem;
    font-weight: 500;
    line-height: 1.2;
    font-family: "Inter", sans-serif;
    color: #ffffff;
}

.arc2{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    gap: 20px 20px;
    width: 100%;
    margin-top: 2rem;
}

.arc2 :nth-child(even){
    margin-top: 2rem;
}

.arc2 img {
    width: 100%;
    height: 200px;
    border-radius: 12px;
    object-fit: cover;
    object-position: bottom;
    box-shadow: 0 4px 10px rgba(0,0,0,0.15);
    transition: transform 0.3s ease;
}

.arc2 img:hover{
    transform: scale(1.05);
}

footer{
    font-size: 15px;
    font-family:'Courier New', Courier, monospace;
    font-weight: 500;
    display: block;
    text-align: center;
    margin-bottom: 1rem;
    margin-top: 2rem;
    color: #707070;
}


@media screen and (min-width: 768px) {
    header{
        gap: 0;
        justify-content: space-between;
        padding: 0 15px;
    }
    #menu-icon {
        display: none;
    }
    nav{
        display: flex;
        width: 40%;
    }
    nav ul{
        list-style-type: none;
        display: flex;
        justify-content: space-between;
        padding: 0;
        margin: 0;
        width: 100%;
        font-family: "Inter", sans-serif;
        font-size: 13px;
        font-weight: 600;
    }

    nav ul li a{
        color: inherit;
        cursor: pointer;
        text-decoration: none;
    }   

    nav ul li:hover{
        color: #bcbcbc;
        cursor: pointer;
    }

    nav ul li:active{
        color: #e8e8e8;
    }

    nav ul li.active{
        color: #bcbcbc;
    }
}
@media screen and (min-width: 1024px) {
    .name{
        font-size: 20px;
    }
}

@media screen and (min-width: 1440px) {
    .name {
        font-size: 30px;
    }

    nav ul {
        font-size: 20px;
    }

    .arc2 {
        grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    }

    .arc2 img {
        height: 300px;
    }

    footer{
        font-size: 20px;
    }

}